﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml;

namespace LinkSmartForDummies_1
{
    class Program
    {
        static void Main(string[] args)
        {//This tutorial illustrates basic IoTResource control using the REST-based API
            //for IoTResources
            
            TurnOnDiscoBall();
            TurnOffDiscoBall();
            ToggleDiscoBall();
        }

        public static void TurnOnDiscoBall()
        {
            //Create REST-endpoint to TurnOn


            string turnonexpr = "http://linksmart.cnet.se:44441/IoTresources/DiscoBall/services/switch/actions/TurnOn";


            XmlDocument myDoc = new XmlDocument();

            myDoc.Load(turnonexpr);
        }

        public static void TurnOffDiscoBall()
        {
            //Create REST-endpoint to TurnOn


            string turnonexpr = "http://linksmart.cnet.se:44441/IoTresources/DiscoBall/services/switch/actions/TurnOff";


            XmlDocument myDoc = new XmlDocument();

            myDoc.Load(turnonexpr);

        }

        public static string GetDiscoBallStatus()
        {

            string statusexpr = "http://linksmart.cnet.se:44441/IoTresources/DiscoBall/services/switch/actions/GetSwitchStatus";

            XmlDocument myDoc = new XmlDocument();

            myDoc.Load(statusexpr);

            XmlNode theNode = myDoc.SelectSingleNode("//*[name()='value']");
            string status = "unknown";

            if (theNode!=null)
            {
                status = theNode.InnerText;
            }

            return status;
        }

        public static void ToggleDiscoBall()
        {
            string status = GetDiscoBallStatus();

            if (status=="off")
            {
                TurnOnDiscoBall();
            }
            else if (status=="on")
            {
                TurnOffDiscoBall();
            }
        }
    }
}
